Skip to content

List templates

Request

Lists all templates belonging to an organization.

Security
ApiKeyAuth
Query
pageLimitinteger, (int32)

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

pageKeystring

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

typestring

Filter by template type

Enum:"EmailAutoReply""QuickResponse"
Example:type=QuickResponse
GET
/v1/templates
curl -i -X GET \
  'https://dev.dixa.io/v1/templates?pageLimit=0&pageKey=string&type=QuickResponse' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

The list of templates in an organization

Bodyapplication/json
dataArray of any(Template)
metaobject(PaginationLinks)
Response
{ "data": [ {}, {} ] }